petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSynchronizedFGets

Several processors all get the same line from a file.

### Synopsis

    PetscErrorCode  PetscSynchronizedFGets(MPI_Comm comm,FILE *fp,size_t len,char string[])

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicator Many br
| fd | - the file pointer Many br
| len | - the length of the output buffer Many br

### Output Parameter

string -the line read from the file, at end of file string[0] == 0 Many br

Many br

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(),
PetscFOpen(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIPrintf() Many br

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages